org.omg.IOP.CodecFactoryPackage

## Class UnknownEncodingHelper

- java.lang.Object
- - org.omg.IOP.CodecFactoryPackage.UnknownEncodingHelper

-     public abstract class UnknownEncodingHelper
      extends Object

  org/omg/IOP/CodecFactoryPackage/UnknownEncodingHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Friday, August 11, 2017 8:39:16 PM BST

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownEncodingHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnknownEncoding` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, UnknownEncoding that)`
    `static UnknownEncoding` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, UnknownEncoding value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownEncodingHelper

          public UnknownEncodingHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    UnknownEncoding that)

    - #### extract

          public static UnknownEncoding extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static UnknownEncoding read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   UnknownEncoding value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.